HomeGuidesAPI Reference
CommunityWebsiteDocumentationExchangeSupportDeveloper
API Reference

Lease an Agent WebSocket Token

Creates a short-lived lease token for agent websocket access.

The returned url and headers.X-LEASE-TOKEN are used together to establish the websocket connection.

Sample Usage

curl -X POST "https://CHANGEME/api/lease-token/vnc/97?timeout=300000" \
  -H "Authorization: BEARER ${ACCESS_TOKEN}" \
  -H "Content-Type: application/json"
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

Lease token scope/type.

Allowed:
required

Server ID or UUID.

Query Params
int64
Defaults to 300000

Token time-to-live in milliseconds. Defaults to 300000 (5 minutes).

int32
Defaults to 10809

NBD listen port. Only used when tokenType is nbd. Defaults to 10809.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json